Skip to content
Alchemy Logo

getNFTsForCollection

GET
/v2/{apiKey}/getNFTsForCollection

Gets all NFTs for a given NFT contract.

Path Parameters

stringrequireddefaults to docs-demo

For higher throughput, create your own API key

Query Parameters

stringoptional

String - Contract address for the NFT contract (ERC721 and ERC1155 supported).

stringoptionaldefaults to boredapeyachtclub

String - OpenSea slug for the NFT collection.

booleandefaults to true

Boolean - if set to true, returns NFT metadata. Setting this to false will reduce payload size and may result in a faster API call. Defaults to true.

string

String - A tokenID offset used for pagination. Can be a hex string, or a decimal. Users can specify the offset themselves to start from a custom offset, or to fetch multiple token ranges in parallel.

integer

Integer - Sets the total number of NFTs returned in the response. Defaults to 100.

integer

No set timeout by default - When metadata is requested, this parameter is the timeout (in milliseconds) for the website hosting the metadata to respond. If you want to only access the cache and not live fetch any metadata for cache misses then set this value to 0.

Responses

200

Was this page helpful?